#!env/bin/python

import socket

s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

host = "192.168.1.1"
port = 80

def scan_port(host: str, port: int):
    if s.connect_ex((host, port)):
        print("Port is closed")
    else:
        print("Port is open")
    s.close()


#scan_port(host, port)
scan_port("77.91.103.40", 22)
scan_port("77.91.103.40", 25)
scan_port("77.91.103.40", 80)
scan_port("77.91.103.40", 139)
scan_port("77.91.103.40", 443)
scan_port("77.91.103.40", 445)


